Win a copy of Functional Reactive Programming this week in the Other Languages forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

com/opensymphony/xwork2/ActionSupp error

 
Hrishikesh Maluskar
Ranch Hand
Posts: 115
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
i am getting the following error after compiling struts 2.1.6 application using ant.can somebody please help me solve this problem

compile:
[javac] Compiling 1 source file to C:\Program Files\Apache Software Foundati
on\Tomcat 5.0\webapps\infoz1\WEB-INF\src\classes
[javac] C:\Program Files\Apache Software Foundation\Tomcat 5.0\webapps\infoz
1\WEB-INF\src\java\net\roseindia\Struts2HelloWorld.java:2: cannot access com.ope
nsymphony.xwork2.ActionSupport
[javac] bad class file: C:\Program Files\Apache Software Foundation\Tomcat 5
.0\webapps\infoz1\WEB-INF\lib\xwork-2.1.2.jar(com/opensymphony/xwork2/ActionSupp
ort.class)
[javac] class file has wrong version 49.0, should be 48.0
[javac] Please remove or make sure it appears in the correct subdirectory of
the classpath.
[javac] import com.opensymphony.xwork2.ActionSupport;
[javac] ^
[javac] 1 error
 
Nishan Patel
Ranch Hand
Posts: 689
Eclipse IDE Java Scala
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
It seems your application miss Struts JAR. Can you check it again in your class path ...
 
Hrishikesh Maluskar
Ranch Hand
Posts: 115
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
i have checked my classpath. It gets compliled using Jcreator , but when i use ant for compiling it fails.
 
Hrishikesh Maluskar
Ranch Hand
Posts: 115
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
i solved this problem by pointing everything to JDK 1.5
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic